Print

User Rating: 5 / 5

Star ActiveStar ActiveStar ActiveStar ActiveStar Active
 

Today I upgraded the Joom!Fish on my server to version 2.1 pre-release 2, and got a surprise when Joom!Fish's Control Panel showed a blank screen. Since my server had been running with Joom!Fish 2.1 pre1 installed for quite a while without any problem, I didn't expect the upgrade would break anything significant.

Quickly I checked the error log on the server. The last entry clearly explains what went wrong with the new version. The program /administrator/components/com_joomfish/models/cpanel.php failed to create a DOMDocument object.

What happened was Joom!Fish no longer uses the DOMIT Lite parser as in previous releases. In stead, it now utilizes the DOM API supported in PHP 5. While XML DOMIT Lite parser is a part of Joomla! installation, PHP DOM API support is not and must be installed on the server. Without the DOM API support, no wonder Joom!Fish is unable to operate properly.

To remedy this situation, the php-xml package must be installed. Unfortunately when I tried to install that package, the installation failed because of version mismatch. The CentOS 5.5 Base repository hasn't updated its php-xml package to match the php package version number (5.2.9-2.el5.centos).

I looked into CentOS 5 Testing repository, and found the version matched php-xml package. With the correct package located, the installation is quite simple with the command:

yum --disablerepo=* --enablerepo=c5-testing install php-xml-5.2.9

(Using the command

yum --disablerepo=* --enablerepo=c5-testing install php-xml

will pick up an even newer version, but that is not what I wanted.)

With the DOM API support installed, Joom!Fish Control Panel shows up correctly as expected.

 

FaLang translation system by Faboba